
--Key codes may use only 7 bits, so values must be in range 00-7F

keyboard_keyToCode = {
	["backspace"]     = 0x08,
	["tab"]           = 0x09,
	["return"]        = 0x0A,
	["lshift"]        = 0x10,
	["lcontrol"]      = 0x11,
	["lalt"]          = 0x12,
	["rshift"]        = 0x14,
	["rcontrol"]      = 0x15,
	["ralt"]          = 0x16,
	["escape"]        = 0x1B,
	
	["space"]         = 0x20,
	["pageup"]        = 0x21,
	["pagedown"]      = 0x22,
	["end"]           = 0x23,
	["home"]          = 0x24,
	["left"]          = 0x25,
	["up"]            = 0x26,
	["right"]         = 0x27,
	["down"]          = 0x28,
	["insert"]        = 0x29,
	["delete"]        = 0x2A,
	
	["apostrophe"]    = 0x2B,
	[","]             = 0x2C,
	["minus"]         = 0x2D,
	["."]             = 0x2E,
	["/"]             = 0x2F,
	[";"]             = 0x3B,
	["="]             = 0x3D,
	["["]             = 0x5B,
	["\\"]            = 0x5C,
	["]"]             = 0x5D,
	["`"]             = 0x7E,
	
	["0"]             = 0x30,
	["1"]             = 0x31,
	["2"]             = 0x32,
	["3"]             = 0x33,
	["4"]             = 0x34,
	["5"]             = 0x35,
	["6"]             = 0x36,
	["7"]             = 0x37,
	["8"]             = 0x38,
	["9"]             = 0x39,
	
	["a"]             = 0x41,
	["b"]             = 0x42,
	["c"]             = 0x43,
	["d"]             = 0x44,
	["e"]             = 0x45,
	["f"]             = 0x46,
	["g"]             = 0x47,
	["h"]             = 0x48,
	["i"]             = 0x49,
	["j"]             = 0x4A,
	["k"]             = 0x4B,
	["l"]             = 0x4C,
	["m"]             = 0x4D,
	["n"]             = 0x4E,
	["o"]             = 0x4F,
	["p"]             = 0x50,
	["q"]             = 0x51,
	["r"]             = 0x52,
	["s"]             = 0x53,
	["t"]             = 0x54,
	["u"]             = 0x55,
	["v"]             = 0x56,
	["w"]             = 0x57,
	["x"]             = 0x58,
	["y"]             = 0x59,
	["z"]             = 0x5A,
	
	["numpad0"]       = 0x60,
	["numpad1"]       = 0x61,
	["numpad2"]       = 0x62,
	["numpad3"]       = 0x63,
	["numpad4"]       = 0x64,
	["numpad5"]       = 0x65,
	["numpad6"]       = 0x66,
	["numpad7"]       = 0x67,
	["numpad8"]       = 0x68,
	["numpad9"]       = 0x69,
	["*"]             = 0x6A,
	["+"]             = 0x6B,
	["numpadenter"]   = 0x6C,
--	["minus"]         = 0x6D, -- already exists
	["numpaddecimal"] = 0x6E,
--	["/"]             = 0x6F, -- already exists
	
	["f1"]            = 0x70,
	["f2"]            = 0x71,
	["f3"]            = 0x72,
	["f4"]            = 0x73,
	["f5"]            = 0x74,
	["f6"]            = 0x75,
	["f7"]            = 0x76,
	["f8"]            = 0x77,
	["f9"]            = 0x78,
	["f10"]           = 0x79,
	["f11"]           = 0x7A,
	["f12"]           = 0x7B,
}
